Archiv für den Autor: Connie

Du, Sie oder was?

Amazon ändert die Teilnahmebedingungen des Amazon EU-Partnerprogramms und fordert mich auf, die Änderungen zur Kenntnis zu nehmen.

Ich bin ja nicht unwillig und lese mir den Text durch.

Aber dann werde ich unwirsch. Dieser MilliardenKonzern sieht sich nicht bemüßigt in seinen Vertragstexten einen einheitlichen Stil durchzuhalten.

Da wechselt man fröhlich vom SIE zum DU und kümmert sich nicht drum. Mich kümmert das aber.

Wenn ich einen Vertrag abschließe, als erwachsene, volljährige Person, dann unterschreibe ich nur Verträge in denen ich ein gleichwertiger Partner oder kein Kleinkind oder debiler Depp bin, den man bedenkenlos duzen kann.

Aber Amazon wird sich auf eine gewisse Lässigkeit herausreden, mit der die Amerikaner, und auch die visionären Amerikaner (von Axel Springer so geadelt) sich immer schon gebrüstet haben. Eine Lässigkeit, mit der sie eben mal in Iraq einmarschieren, Öl ins Nahostfeuer gießen oder auch mal bereits gültige Verträge einfach so ungültig erklären.

ICH MÖCHTE NICHT GEDUZT WERDEN, von welchem Ami auch immer!

Und wieder mal … der unselige Sonntagspraktikant…

Es ist nicht zu glauben, heute hat er gleich zweimal zugeschlagen.. aber so ist es ja auch, die EU und vor allem Juncker sind an allem schuld.

Erst zündet er eine Schule an, altert dabei heftig, und redet zusammen mit Macron auf Frau May ein:

und dann wirft er auch noch kleine Mädchen aus dem Fenster…

Zertifikate, Cloudflare und https… Mist

Die Browser machen mobil, alle Seiten sollen jetzt mit Verschlüsselung arbeiten. Und das bedeutet für kleinere Hoster oder selbstbetreute Server doch Arbeit.

Es sollte PHP 7 aktiv sein, und kaum hat man das umgesetzt und leidvoll erfahren, welche Module etc. vergessen wurden beim Kompilieren und Einbinden kündigt WordPress an, demnächst nur noch PHP 7.1 zu unterstützen.

Dann ist das ganze Getue mit den Zertifikaten ein einziges Deseaster. Und eine Maschine zum Gelddrucken. Und der Server / APache muss dafür vorbereitet sein. Beim Einbau dieser Funktionalität gehen wieder andere Funktionalitäten flöten, werden vergessen..

Zwei kostenfreie Anbieter sind mir bekannt: Checkdomain, das Zertifikate von Let’s Encrypt bereitstellt und Cloudflare. Für Checkdomain muss auf dem Server die Funktionalität eingerichtet sein, für Cloudflare nicht, denn dafür lenkt man die Domain auf Cloudflare-Nameserver um und dann ist da schon alles vorbereitet.
Und dann stöpselt man munter los, richtet permanente Umleitung von http:// auf https:// ein etc. und freut sich. Aber ach, das kleine Sicherheitssignal in der Browseradresszeile wechselt von grün auf gelb, macht keinen soliden Eindruck und dann merkt man auch noch daß plötzlich keine Texteingabe im Editor mehr möglich ist.

Warum? Weil die Texteingaben im Editor verschlüsselt gesendet werden sollten und die Verschlüsselung nicht funktioniert. Also Konsequenz?

Erst muss man sich erinnern, daß die Einstellung beim Cloudflare wegen der nicht richtig arbeitenden Verschlüsselung deaktiviert werden muss.

Dann testet man und siehe da. Man kann wieder Texte eingeben.

 Aber? Die Seiten sind nicht verschlüsselt und die Browser melden wieder unsichere Webseiten. Wir sind also wieder da wo wir schon waren.

Mist.

Es wird immer besser…

Langsam fängt es an Spaß zu machen, nicht nur  mir, sondern vielleicht auch dem namenlosen Praktikanten, der da immer die Feeds der FAZ zusammenstückeln muß?

Nun, jedenfalls ist dies der beste Feed seit langem:

Ist ja auch verständlich, nach “Jamaica”, Sondierung und jetzt Koalitionsgesprächen kann einem schon mal die Hutschnur ins Gesicht rutschen..

Sie haben es wieder getan!

Nein, die FAZ kann es nicht lassen, diesmal denunziert sie Herrn Trump…